from setuptools import find_packages, setup

setup(
    name='data-droid-sdk',
    setup_requires=['wheel'],
    packages=find_packages(),
    include_package_data=True,
    version='0.0.1',
    description='Data Factory Library from Doctor Droid to fetch data from various sources',
    author='Mohit Goyal',
    author_email="mohit.goyal@drdroid.io",
    license='MIT',
    python_requires=">=3.6",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    install_requires=[
        'bcrypt==4.2.0',
        'boto3==1.34.148',
        'botocore==1.34.148',
        'cffi==1.16.0',
        'Command==0.1.0',
        'cryptography==43.0.0',
        'exceptiongroup==1.2.2',
        'grpc-tools==0.0.1',
        'grpcio==1.65.1',
        'grpcio-tools==1.65.1',
        'iniconfig==2.0.0',
        'jmespath==1.0.1',
        'mypy-protobuf==3.6.0',
        'packaging==24.1',
        'paramiko==3.4.0',
        'pluggy==1.5.0',
        'protobuf==5.27.2',
        'psycopg2-binary==2.9.9',
        'pycparser==2.22',
        'PyNaCl==1.5.0',
        'pytest==8.3.1',
        'python-dateutil==2.9.0.post0',
        'pytz==2024.1',
        's3transfer==0.10.2',
        'six==1.16.0',
        'tomli==2.0.1',
        'types-protobuf==5.27.0.20240626',
        'urllib3==1.26.19',
    ]
)
